export declare abstract class ValidationError extends Error {
    constructor();
    readonly trace: string;
    abstract reason(count?: number): string;
    indent(count: number, message: string): string;
}
export declare class ConversionError extends ValidationError {
    value: any;
    converter: string;
    details: string;
    constructor(value: any, converter: string, details: string);
    reason(count?: number): string;
}
export declare class AssertionError extends ValidationError {
    value: any;
    assertion: string;
    details: string;
    constructor(value: any, assertion: string, details: string);
    reason(count?: number): string;
}
export declare class ValidatorError extends ValidationError {
    validator: string;
    property: string;
    value: any;
    child_error: Error;
    constructor(validator: string, property: string, value: any, child_error: Error);
    reason(count?: number): string;
}
export declare class MultipleValidationError extends ValidationError {
    value: any;
    child_errors: Error[];
    constructor(value: any, child_errors?: Error[]);
    reason(count?: number): string;
}
export declare class NotMatchAnyError extends ValidationError {
    value: any;
    child_errors: Error[];
    constructor(value: any, child_errors?: Error[]);
    reason(count?: number): string;
}
